# Set-RASBroker.md

## NAME

Set-RASBroker

## SYNOPSIS

Modifies settings of a RAS Connection Broker server.

## SYNTAX

**Set-RASBroker** \[[Id](#id-string)] *(uint)* \[[AlternativeIPs](#alternativeips-string) *(string)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[IP](#ip-string) *(string)*] \[[Standby](#standby-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASBroker** \[-[InputObject](#inputobject)] *(*[*Broker*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)*)* \[[AlternativeIPs](#alternativeips-string) *(string)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[IP](#ip-string) *(string)*] \[[Standby](#standby-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASBroker** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[AlternativeIPs](#alternativeips-string) *(string)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[IP](#ip-string) *(string)*] \[[Standby](#standby-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies settings of a RAS Connection Broker server.

For each setting, the cmdlet has a corresponding input parameter. To modify a setting, specify a parameter and its value.

## PARAMETERS

## Server (string)

The name of the target RAS Connection Broker server.

This must be the actual server name used in the Parallels RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which the target RAS Connection Broker resides.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The RAS Connection Broker server ID. To obtain the ID, use the command to Get-RASBroker.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md))

An object of type Broker representing the RAS Connection Broker.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the specified RAS Connection Broker.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

A user-defined RAS Connection Broker description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IP (string)

An IP address of the RAS Connection Broker server.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AlternativeIPs (string)

A list of alternative IP addresses separated by a comma.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Standby (bool)

Set the specified RAS Secondary Connection Broker in Standby (or vice versa).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASBroker -Server "server.company.dom" -Enable $False

Disables the specified RAS Connection Broker in the Licensing Server site.

\*\*---------- EXAMPLE 2 ----------

Set-RASBroker -Id 3 -Enable $False

Disables the RAS Connection Broker specified by ID.

\*\*---------- EXAMPLE 3 ----------

Set-RASBroker $Broker -Enable $True

Enables the RAS Connection Broker specified by the $Broker variable, which is an object of type Broker.

The object is obtained using the Get-RASBroker cmdlet.\
\*\*---------- EXAMPLE 4 ----------

Get-RASBroker -Id 3 | Set-RASBroker -Enable $True

Enables the RAS Connection Broker represented by a Broker object obtained from the pipeline output.

## RELATED LINKS

* [New-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasbroker.md)
* [Get-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbroker.md)
* [Remove-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasbroker.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasbroker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
